Post by liamcaff » Thu Mar 22, 2012 2:00 am

jty wrote:
liamcaff wrote: PHP Notice: Error: Unknown column 'meta_keywords' in 'field list'<br />Error No: 1054<br />INSERT INTO `category_description` (`category_id`, `language_id`, `name`, `meta_keywords`, `meta_description`, `description`) VALUES ('44', '1', 'Medical Gym & Exercise', '', '', '') in /home/mikroweb/public_html/opm/system/database/mysql.php on line 49
mmmm, looks like in 1.4.x, it was meta_keywords (plural) but in 1.5.2, it's meta_keyword
am I seeing things ?

I came across one other person who mentioned the issue of 'meta_keywords' (plural) and 'meta_keyword' (singular) between old and new versions of Opencart, but didn't understand the fix... and I also wasn't sure if that users issue was the same as mine...

New member

Posts

Joined
Wed Mar 21, 2012 9:20 pm

Post by liamcaff » Thu Mar 22, 2012 2:28 am

Qphoria wrote:meta_keywords? meta_keywords was added in 1.4.8. You shouldn't have any error like that if you were already running 1.4.9. Are the products in your database but not showing in the admin?
My mistake - you're right - I updated from 1.4.8 not 1.4.9.

Only the default products that come with installtion are viewable within Admin...

So I can't see any of my own products within admin

All of my products were in my database before doing any of the updates. But I do still have the backed up database as a file from Opencart 1.4.8...

Any thoughts?

New member

Posts

Joined
Wed Mar 21, 2012 9:20 pm

Post by Qphoria » Thu Mar 22, 2012 3:43 am

If you only see default products,then it sounds like you did a fresh install and not an upgrade.

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by liamcaff » Thu Mar 22, 2012 5:13 am

Qphoria wrote:If you only see default products,then it sounds like you did a fresh install and not an upgrade.
I could try to go back to version 1.4.8 and upgrade again, but when I went from version 1.4.8 to 1.5.1.2 doing the initial upgrade, and I definitely did the upgrade, I had the same result (all my products disappeared and I could only see the default products that you see from a fresh install), even before going to version 1.5.2.1...

Do you think I should restore my site to 1.4.8 and try again?

New member

Posts

Joined
Wed Mar 21, 2012 9:20 pm

Post by Johnathan » Thu Mar 22, 2012 6:22 am

Yeah, Daniel renamed tables with plural endings to singular endings, to be consistent with all database tables.

Image
Image Image Image Image


User avatar
Global Moderator

Posts

Joined
Fri Dec 18, 2009 3:08 am


Post by liamcaff » Thu Mar 22, 2012 8:23 am

Johnathan wrote:Yeah, Daniel renamed tables with plural endings to singular endings, to be consistent with all database tables.

Sorry to bother ye again, but just before I revert to 1.4.8, I'm just wondering what I should do differently to deal with the change from plural to singular endings...

Thanks for all your help!

New member

Posts

Joined
Wed Mar 21, 2012 9:20 pm

Post by liamcaff » Thu Mar 22, 2012 5:51 pm

liamcaff wrote:
Johnathan wrote:Yeah, Daniel renamed tables with plural endings to singular endings, to be consistent with all database tables.

Sorry to bother ye again, but just before I revert to 1.4.8, I'm just wondering what I should do differently to deal with the change from plural to singular endings...

Thanks for all your help!

After doing a little digging (trying to fix problem before having to revert to 1.4.8), I found that going into my database.SQL backupfile (from 1.4.8) and doing a global replace of "meta_keywords" to "meta_keyword" should fix the problem.

When I did this, and tried to restore the database into 1.5.2.1 I get the following error:

Notice: Error: Table 'mikroweb_opm.coupon_description' doesn't exist
Error No: 1146
TRUNCATE TABLE `coupon_description` in /home/mikroweb/public_html/opm/system/database/mysql.php on line 49

Any ideas anyone?

Thanks

New member

Posts

Joined
Wed Mar 21, 2012 9:20 pm

Post by liamcaff » Thu Mar 22, 2012 7:04 pm

liamcaff wrote:
liamcaff wrote:
Johnathan wrote:Yeah, Daniel renamed tables with plural endings to singular endings, to be consistent with all database tables.

Sorry to bother ye again, but just before I revert to 1.4.8, I'm just wondering what I should do differently to deal with the change from plural to singular endings...

Thanks for all your help!

After doing a little digging (trying to fix problem before having to revert to 1.4.8), I found that going into my database.SQL backupfile (from 1.4.8) and doing a global replace of "meta_keywords" to "meta_keyword" should fix the problem.

When I did this, and tried to restore the database into 1.5.2.1 I get the following error:

Notice: Error: Table 'mikroweb_opm.coupon_description' doesn't exist
Error No: 1146
TRUNCATE TABLE `coupon_description` in /home/mikroweb/public_html/opm/system/database/mysql.php on line 49

Any ideas anyone?

Thanks

Ok so I worked out that the TABLE coupon_description doesn't exist in the new 1.5.2.1 OC. So I deleted the relevant code from my backup SQL database file. That fixed the error, and now I am getting this one:

Notice: Error: Unknown column 'key' in 'field list'
Error No: 1054
INSERT INTO `extension` (`extension_id`, `type`, `key`) VALUES ('22', 'total', 'shipping') in /home/mikroweb/public_html/opm/system/database/mysql.php on line 49

Is the word 'key' to be renamed as something else for the new OC verions?

New member

Posts

Joined
Wed Mar 21, 2012 9:20 pm

Post by Johnathan » Thu Mar 22, 2012 9:15 pm

"key" in 1.4.x is usually changed to "code" in 1.5.x. I'm confused, though...the upgrade script takes care of all of these changes. Why are you doing them manually?

Image
Image Image Image Image


User avatar
Global Moderator

Posts

Joined
Fri Dec 18, 2009 3:08 am


Post by Qphoria » Thu Mar 22, 2012 11:09 pm

Johnathan wrote:Yeah, Daniel renamed tables with plural endings to singular endings, to be consistent with all database tables.
wha?

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by liamcaff » Thu Mar 22, 2012 11:33 pm

Johnathan wrote:"key" in 1.4.x is usually changed to "code" in 1.5.x. I'm confused, though...the upgrade script takes care of all of these changes. Why are you doing them manually?

Yeah, I thought that would be the case alright.

I'm reloading the backup of my home directory through CPanel and going to do the update process again.

Thanks for all the help! and I'll let ye know how I get on.

New member

Posts

Joined
Wed Mar 21, 2012 9:20 pm

Post by liamcaff » Fri Mar 23, 2012 1:50 am

liamcaff wrote:
Johnathan wrote:"key" in 1.4.x is usually changed to "code" in 1.5.x. I'm confused, though...the upgrade script takes care of all of these changes. Why are you doing them manually?

Yeah, I thought that would be the case alright.

I'm reloading the backup of my home directory through CPanel and going to do the update process again.

Thanks for all the help! and I'll let ye know how I get on.

So for some reason cPanel isn't resetting my main folder back to when I backed up my site... So I'm still running OC 1.5.2.1... Knowing that I need to do the upgrade properly, would it be a very bad idea to run the Beta3 updater file Beta3-upgrade-14x-to-15x-YES-OPTv4 now so that it can make the appropriate changes... I think I know the answer will be a NO, but just wanted to check, as right now I'm stuck with Opencart 1.5.2.1 and a database that I can't use....

New member

Posts

Joined
Wed Mar 21, 2012 9:20 pm

Post by Johnathan » Fri Mar 23, 2012 9:22 pm

Qphoria wrote:
Johnathan wrote:Yeah, Daniel renamed tables with plural endings to singular endings, to be consistent with all database tables.
wha?
Sorry, meant database table *columns* (although he did rename the "product_tags" table to "product_tag")

Image
Image Image Image Image


User avatar
Global Moderator

Posts

Joined
Fri Dec 18, 2009 3:08 am


Post by liamcaff » Sat Mar 24, 2012 2:48 am

Ok, so I uploaded (via FTP) the pre-updated version of my site - running Opencart 1.4.9.1 (not 1.4.8 as I said in a previous post).

I also had to upload my original database that I was using with 1.4.9.1.

Even though the databebase is the exact same same, with the same password etc... when I go to my web address I get the following error:

Notice: Error: Could not connect to database mikroweb_opm in /home/mikroweb/public_html/opm/system/database/mysql.php on line 11

Notice: Error: No database selected
Error No: 1046
SELECT * FROM store WHERE REPLACE(`url`, 'www.', '') = 'http://mywebsite.com/' in /home/mikroweb/public_html/opm/system/database/mysql.php on line 49


If I try to get into mywebsite.com/admin - for Opencart - I get this similar error

Notice: Error: Could not connect to database mikroweb_opm in /home/mikroweb/public_html/opm/system/database/mysql.php on line 11

Notice: Error: No database selected
Error No: 1046
SELECT * FROM setting WHERE store_id = '0' in /home/mikroweb/public_html/opm/system/database/mysql.php on line 49


ANY help would be hugely appreciated!! I really am stuck, and need to start the upgrade process again asap

Thanks!

New member

Posts

Joined
Wed Mar 21, 2012 9:20 pm

Post by platypuspuzzles » Sun Mar 25, 2012 2:01 pm

I have also lost my website to a fresh install after running the second script to 1.5.1.3

What is the best way to resolve this?

Active Member

Posts

Joined
Sun Jan 23, 2011 8:11 pm

Post by liamcaff » Thu Mar 29, 2012 12:30 pm

Hi all,

Ok I'm finally back to Opencart 1.4.9.1 with my website working as it was before I attempted this upgrade process.

So before I upgrade again, could someone who did this successfully please iron out a few things for me. Yes I have read the upgrade steps LOTS of times, but there are some contradictions between the steps in the txt file and some comments in the forum.... So I'll mark the steps I need clarified with "******".

And please note, I'm not in any way giving out about this process. I just want to clarify things that me and lots of others have had problems understanding.


________________________________________________________________________________________________

STEP 1. BACKUP YOUR DATABASE!

STEP 2. BACKUP YOUR STORE FILES VIA FTP OR CPANEL!

STEP 3. RENAME YOUR EXISTING config.php and admin/config.php to "config.bak"

******** STEP 4a. UNZIP AND UPLOAD ALL THE NEW OPENCART FILES OVER YOUR EXISTING FILES ********
When you say upload "ALL OF THE NEW OPENCART FILES", does that mean I must download the install files for version 1.5.1.2 and upload all of those files? As this is the version the upgrade brings you too.... A number of people have been confused by this.

******** STEP 4b. If you haven't already, Upload the install folder from the beta2 upgrade zip file ********
So once you upload the files for 1.5.1.2, you then replace the install folder from the 1.5.1.2 download with the upgrade script install folder...


STEP 5. DELETE THE "NEW" config.php and admin/config.php files that come with the new files

STEP 6. RENAME config.bak and admin/config.bak to "config.php"

STEP 7. EDIT config.php (not admin/config.php)

STEP 8. FIND: // DIR

STEP 9. BEFORE, ADD: (IF IT DOESN'T ALREADY EXIST):

// HTTP

define('HTTP_SERVER', 'http://mysite.com/');

define('HTTP_IMAGE', 'http://mysite.com/image/');

define('HTTP_ADMIN', 'http://mysite.com/admin/');



// HTTPS

define('HTTPS_SERVER', 'http://mysite.com/');

define('HTTPS_IMAGE', 'http://mysite.com/image/');



BE SURE TO CHANGE THE PATHS TO YOUR DOMAIN AND STORE.
IF USING A SUBDIRECTORY, BE SURE TO ADD IT TO THE PATH
IF USING SSL, BE SURE TO USE "https" for the bottom 2 entries
IF NOT USING SSL, BE SURE TO USE "http" for the bottom 2 entries


STEP 10.RUN THE UPGRADE SCRIPT:
http://mysite.com/install/upgrade-14x-to-15x.php


STEP 11a. IF it shows "SUCCESSFUL" then continue to the next step.

STEP 11b. IF it shows errors, then post them on the forum and wait for a reply

********** STEP 12. RUN THE BUILT-IN OPENCART UPGRADE FOR v1.5.1.3 or LATER by visiting:
http://mysite.com/install/index.php **********
At this point should I have a working site that is now running on 1.5.1.2??? And if so, Do I read the upgrade.txt file from the latest version of Opencart (1.5.2.1) and do the process described in that document?


STEP 13. Login to your admin panel and GOTO System->Users->User Groups

STEP 14. EDIT TOP ADMINISTRATORS AND CHECK ALL BOXES IN BOTH SECTIONS AND SAVE

STEP 15. GOTO System->Settings and verify each of your stores are listed there.

STEP 16. EDIT each store.
1. Update all the new fields with your settings.
2. Change the theme to "default".
3. Change Layout to "Default".
4. Update the new Image fields with dimensions
5. Save.

STEP 17. (OPTIONAL BUT RECOMMENDED) Goto System->Design->Layout
Delete ALL layouts except for "Default", "Checkout", and "Home".
This will make it more like 1.4.x and keep things simpler when adding modules
You can always add them back, but it can be overwhelming for new users of the layout system

STEP 18. Visit your homepage. Hit Ctrl+F5 twice to clear your css cache.
You should see the main header and footer with NO products or modules. But no errors.

________________________________________________________________________________________________

Thanks for all the help so far - and please, anyone with any points to make on my comments, please do make them...
I think answering these question will sort out issues for alot of other people as well as myself.

Thanks

New member

Posts

Joined
Wed Mar 21, 2012 9:20 pm

Post by Qphoria » Thu Mar 29, 2012 10:00 pm

liamcaff wrote: ******** STEP 4a. UNZIP AND UPLOAD ALL THE NEW OPENCART FILES OVER YOUR EXISTING FILES ********
When you say upload "ALL OF THE NEW OPENCART FILES", does that mean I must download the install files for version 1.5.1.2 and upload all of those files? As this is the version the upgrade brings you too.... A number of people have been confused by this.
That is a shame because this isn't even the least bit confusing.
Step 1 is DOWNLOAD THE NEW ZIP (1.5.2.1)
Step 4 is UNZIP AND UPLOAD THOSE FILES TO YOUR SITE, OVERWRITING EXISTING FILES
I don't see how this could be confusing. How do you expect the new files to get there if you don't upload them? The same way you got the old files there is the same way you get the new files there.
******** STEP 4b. If you haven't already, Upload the install folder from the beta2 upgrade zip file ********
So once you upload the files for 1.5.1.2, you then replace the install folder from the 1.5.1.2 download with the upgrade script install folder...
Folders do not "replace" they "merge".
If you have 5 apples in one box and 5 oranges in another box, if you dump the oranges into the apple box, do the oranges replace the apples? No.
********** STEP 12. RUN THE BUILT-IN OPENCART UPGRADE FOR v1.5.1.3 or LATER by visiting:
http://mysite.com/install/index.php **********
At this point should I have a working site that is now running on 1.5.1.2??? And if so, Do I read the upgrade.txt file from the latest version of Opencart (1.5.2.1) and do the process described in that document?
No. You should have the files from 1.5.2.1 but your database at this point is upgraded to 1.5.1.2 compatible.
So you need to run the upgrade script that comes with 1.5.2.1 to make it 1.5.2.1 compatible. And yes you should read the upgrade.txt file in the 1.5.2.1 zip, but it will tell you most of what this document covers. The process is just expanded for this one.

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by liamcaff » Mon Apr 02, 2012 9:21 pm

Thanks!

All sorted :)

Currently rebuilding shop front now.

All help was MUCH appreciated.

Will definitely be donating!

New member

Posts

Joined
Wed Mar 21, 2012 9:20 pm

Post by itrends » Fri Apr 06, 2012 5:40 am

Hi guys.

First up, thank you for all the hard work.

I'm 99.9% of the way there. All upgraded, all admin settings done etc.

My issue is this:
- upgrade done
- go to a product with options
- ALL options are select boxes, even those that used to be 'text' format
- the options have been duplicated hundreds of times
- I have hundreds of products with options on so can't just 're-do' them

Any way to get the upgrade to retain the 'type' of option from the older version of the database?

I tried mashing up an UPDATE file from the previous database but it just made them all vanish.

Any help or assistance would be most welcome. :)

Thanks.

Active Member

Posts

Joined
Tue Jul 14, 2009 7:54 pm

Post by Johnathan » Fri Apr 06, 2012 7:57 am

itrends wrote:Hi guys.

First up, thank you for all the hard work.

I'm 99.9% of the way there. All upgraded, all admin settings done etc.

My issue is this:
- upgrade done
- go to a product with options
- ALL options are select boxes, even those that used to be 'text' format
- the options have been duplicated hundreds of times
- I have hundreds of products with options on so can't just 're-do' them

Any way to get the upgrade to retain the 'type' of option from the older version of the database?

I tried mashing up an UPDATE file from the previous database but it just made them all vanish.

Any help or assistance would be most welcome. :)

Thanks.
All options were select dropdowns in 1.4.9 and earlier. You shouldn't have had any "text" type options, unless you were using a mod -- and if you were, this upgrade script won't account for them.

Image
Image Image Image Image


User avatar
Global Moderator

Posts

Joined
Fri Dec 18, 2009 3:08 am

Who is online

Users browsing this forum: No registered users and 6 guests